.offer {
    position: relative;

    &__media {
        top: 0;
        left: 0;
        right: 0;
        z-index: 1;
        overflow: hidden;
        bottom: rem(102);
        position: absolute;

        &:after,
        &:before {
            top: 0;
            bottom: 0;
            z-index: 5;
            content: '';
            display: block;
            position: absolute;
        }

        &:after {
            left: 0;
            width: 120%;
            opacity: 0.75;
            background: linear-gradient(92deg, #0A0008 0.52%, #290323 32.29%, rgba(0, 0, 0, 0.72) 61.46%, rgba(0, 0, 0, 0.00) 100%);
        }

        &:before {
            left: 0;
            width: 110%;
            opacity: 0.75;
            background: linear-gradient(92deg, #260020 0.52%, rgba(41, 3, 35, 0.00) 32.29%, rgba(0, 0, 0, 0.00) 61.46%, rgba(0, 0, 0, 0.00) 100%);
        }

        &--sm {
            width: 100%;
            height: 100%;
        }

        &--xl {
            display: none;
            width: 100%;
            height: 100%;
        }
    }

    &__body {
        z-index: 20;
        position: relative;
    }

    &__content {
        color: $white;
        line-height: 125%;
        font-size: rem(13);
        text-align: center;
        padding-top: rem(44);
        padding-bottom: rem(30);
    }

    &__header {
        font-weight: 700;
        line-height: 125%;
        font-size: rem(20);
        margin-bottom: rem(16);
    }

    &__form {
        padding: rem(26);
        background: $white;
        border: 8px solid #F1F0ED;
    }

    &__submit {
        text-align: center;
        margin-top: rem(22);

        .btn {
            width: 100%;
        }
    }

    &__decor {
        display: none;
    }

    @include media-breakpoint-up(md) {

        &__content {
            margin: 0 auto;
            font-size: rem(20);
            max-width: rem(610);
            padding-top: rem(70);
            padding-bottom: rem(50);
        }

        &__header {
            font-size: rem(35);
            margin-bottom: rem(30);
        }


        &__form {
            margin: 0 auto;
            width: rem(512);
            border-width: 12px;
            padding: rem(52) rem(50) rem(60) rem(50);

            textarea {
                min-height: 94px;
            }
        }

        &__submit {
            margin-top: rem(32);

            .btn {
                width: auto;
                min-width: rem(264);
            }
        }
    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {
        padding: rem(60) 0;

        &__media {
            bottom: 0;
            right: calc(50% - 352px);

            &:after {
                opacity: 0.75;
                background: linear-gradient(92deg, #0A0008 0.52%, #290323 32.29%, rgba(0, 0, 0, 0.45) 61.46%, rgba(0, 0, 0, 0.00) 100%);
            }

            &:before {
                opacity: 0.75;
                background: linear-gradient(92deg, #260020 0.52%, rgba(41, 3, 35, 0.29) 32.29%, rgba(0, 0, 0, 0.00) 61.46%, rgba(0, 0, 0, 0.00) 100%);
            }

            &--sm {
                display: none;
            }

            &--xl {
                display: block;
            }
        }

        &__main {
            display: flex;
            justify-content: space-between;
        }

        &__content {
            margin: 0;
            padding: rem(170) 0 0 0;
            text-align: left;
        }

        &__header {
            font-size: rem(45);
        }

        &__form {
            margin: 0;
            width: rem(520);
            flex-shrink: 0;
            padding: rem(52) rem(50) rem(52) rem(50);
        }

    }

    @include media-breakpoint-up(xxl) {

        &__media {
            right: calc(50% - 492px);
        }
    }

    @media (min-width: $fhd) {

        &__decor {
            width: 313px;
            display: block;
            position: absolute;
            top: calc(50% - 373px);
            right: calc(50% - 1098px);
        }
    }
}


